﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Storage;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace CDays2013.Settings.Settings
{
    public sealed partial class SupportPage : UserControl
    {
        public SupportPage()
        {
            this.InitializeComponent();
            Loaded += SupportPage_Loaded;
        }

        void SupportPage_Loaded(object sender, RoutedEventArgs e)
        {
            if (ApplicationData.Current.LocalSettings.Values.ContainsKey("IsEnabled"))
            {
                bool b = (bool) ApplicationData.Current.LocalSettings.Values["IsEnabled"];
                Setting.IsOn = b;
            }
        }

        private void Setting_OnToggled(object sender, RoutedEventArgs e)
        {
            if (ApplicationData.Current.LocalSettings.Values.ContainsKey("IsEnabled"))
            {
                ApplicationData.Current.LocalSettings.Values.Remove("IsEnabled");
            }

            ApplicationData.Current.LocalSettings.Values.Add("IsEnabled", Setting.IsOn);
        }
    }
}
